You are not logged in.

#1 2010-05-01 00:27:52

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 407
Website

GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

I was using GIMP (2.6) earlier today and it was working fine. A few moments later when I was going to use it again, it wouldnt start anymore. The error message Im getting is:

** Message: Module '/usr/lib/gegl-0.1/exr-load.so' load error: libIlmImf.so.6: cannot open shared object file: No such file or directory

I havent done anything, no upgrades etc. Google gave me nothing and it didnt help to reinstall GIMP.

Last edited by Hund (2010-05-01 15:29:17)

Offline

#2 2010-05-01 01:23:13

eldragon
Member
From: Buenos Aires
Registered: 2008-11-18
Posts: 1,026

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

$  pacman -Qo /usr/lib/libIlmImf.so.6
/usr/lib/libIlmImf.so.6 is owned by openexr 1.6.1-1
tomas@lappy: ~ $  yase openexr
extra/ilmbase 1.0.1-1 [installed]
  IlmThread is a thread abstraction library for use with OpenEXR
extra/openexr 1.6.1-1 [installed]
  openexr library for EXR images

so...do you have openexr installed? what version?

Offline

#3 2010-05-01 01:27:51

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 407
Website

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

Cool. Didnt know that, I'm new to Pacman. smile Installing openexr solved the problem.

Offline

#4 2010-05-01 14:53:14

grey
Member
From: Europe
Registered: 2007-08-23
Posts: 679

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

Great! Please mark the thread as solved by editing the titile of the first post.


Good ideas do not need lots of lies told about them in order to gain public acceptance.

Offline

#5 2010-06-16 07:58:17

xor
Member
From: Sweden
Registered: 2003-03-20
Posts: 71

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

Hi,

having the same problem with a fresh x64 installation.
openexr should be a dependency for gimp package.
I could not find the lib as I did not have openxr installed at all.

Your answer solved the problem but it should be fixed.

Regards,
xor

Offline

#6 2010-06-16 11:30:49

xduugu
Member
Registered: 2008-10-16
Posts: 291

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

I wonder why it works for me without openexr...

$ ldd /usr/lib/gegl-0.1/exr-load.so
[...]
    libIlmImf.so.6 => not found
    libz.so.1 => /usr/lib/libz.so.1 (0x00007fdfeb863000)
    libImath.so.6 => not found
    libHalf.so.6 => not found
    libIex.so.6 => not found
    libIlmThread.so.6 => not found
[...]
$ gimp
** Message: Module '/usr/lib/gegl-0.1/exr-load.so' load error: libIlmImf.so.6: cannot open shared object file: No such file or directory
LibGimpModule-Message: Module '/usr/lib/gimp/2.0/modules/libcontroller-linux-input.so' load error: libhal.so.1: cannot open shared object file: No such file or directory
/usr/lib/gimp/2.0/plug-ins/help-browser: error while loading shared libraries: libwebkit-1.0.so.2: cannot open shared object file: No such file or directory

(gimp:10569): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

But despite these error messages - which I saw the first time today - gimp works fine.

Offline

#7 2010-06-16 19:06:07

anonymous_user
Member
Registered: 2009-08-28
Posts: 3,058

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

Openexr is an optional dependency of gegl which a required dependency of gimp.

Also I had this message:

** Message: Module '/usr/lib/gegl-0.1/ff-load.so' load error: libavformat.so.52: cannot open shared object file: No such file or directory

which is because of not having ffmpeg installed. Another optional dependency of gegl.

Offline

#8 2010-09-26 00:26:20

darkbeanies
Member
Registered: 2009-01-14
Posts: 136

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

Funny how it worked earlier.  Tried installing openexr, ffmpeg and reinstalling gimp, to no avail.  "sudo gimp" worked fine, for some reason.  Probably permissions related, then...or something

Also, I firstly got the error message the OP got.  But after installing openexr, I get no errors at all from command line and gimp just doesn't load.

Edit- Turning the computer off and getting a good night's sleep fixed the problem.

Last edited by darkbeanies (2010-09-26 09:44:13)

Offline

#9 2013-04-22 04:52:46

ayr0
Member
Registered: 2010-08-12
Posts: 88

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

I had to downgrade openexr and ilmbase to get darktable to work again (running the darktable from git).

Offline

#10 2013-04-22 18:57:37

Warper4
Member
Registered: 2009-11-05
Posts: 25

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

The same here, but darktable from repo (1.2-2)

ayr0 wrote:

I had to downgrade openexr and ilmbase to get darktable to work again (running the darktable from git).

Last edited by Warper4 (2013-04-22 18:58:31)

Offline

#11 2013-04-23 15:06:11

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: GIMP wont start anymore "load error libIlmImf.so.6: can[..]" [Solved]

ayr0, don't necrobump 3 year old threads. Closing...


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

Board footer

Powered by FluxBB